// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: capbankmodule/capbankmodule.proto

package openfmb.capbankmodule;

/**
 * <pre>
 * Cap bank status
 * </pre>
 *
 * Protobuf type {@code capbankmodule.CapBankStatus}
 */
public final class CapBankStatus extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:capbankmodule.CapBankStatus)
    CapBankStatusOrBuilder {
private static final long serialVersionUID = 0L;
  // Use CapBankStatus.newBuilder() to construct.
  private CapBankStatus(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private CapBankStatus() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new CapBankStatus();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankStatus_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankStatus_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.capbankmodule.CapBankStatus.class, openfmb.capbankmodule.CapBankStatus.Builder.class);
  }

  public static final int STATUSVALUE_FIELD_NUMBER = 1;
  private openfmb.commonmodule.StatusValue statusValue_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the statusValue field is set.
   */
  @java.lang.Override
  public boolean hasStatusValue() {
    return statusValue_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The statusValue.
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusValue getStatusValue() {
    return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder() {
    return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
  }

  public static final int CAPBANKEVENTANDSTATUSYPSH_FIELD_NUMBER = 2;
  private openfmb.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
   * @return Whether the capBankEventAndStatusYPSH field is set.
   */
  @java.lang.Override
  public boolean hasCapBankEventAndStatusYPSH() {
    return capBankEventAndStatusYPSH_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
   * @return The capBankEventAndStatusYPSH.
   */
  @java.lang.Override
  public openfmb.capbankmodule.CapBankEventAndStatusYPSH getCapBankEventAndStatusYPSH() {
    return capBankEventAndStatusYPSH_ == null ? openfmb.capbankmodule.CapBankEventAndStatusYPSH.getDefaultInstance() : capBankEventAndStatusYPSH_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
   */
  @java.lang.Override
  public openfmb.capbankmodule.CapBankEventAndStatusYPSHOrBuilder getCapBankEventAndStatusYPSHOrBuilder() {
    return capBankEventAndStatusYPSH_ == null ? openfmb.capbankmodule.CapBankEventAndStatusYPSH.getDefaultInstance() : capBankEventAndStatusYPSH_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (statusValue_ != null) {
      output.writeMessage(1, getStatusValue());
    }
    if (capBankEventAndStatusYPSH_ != null) {
      output.writeMessage(2, getCapBankEventAndStatusYPSH());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (statusValue_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getStatusValue());
    }
    if (capBankEventAndStatusYPSH_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getCapBankEventAndStatusYPSH());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.capbankmodule.CapBankStatus)) {
      return super.equals(obj);
    }
    openfmb.capbankmodule.CapBankStatus other = (openfmb.capbankmodule.CapBankStatus) obj;

    if (hasStatusValue() != other.hasStatusValue()) return false;
    if (hasStatusValue()) {
      if (!getStatusValue()
          .equals(other.getStatusValue())) return false;
    }
    if (hasCapBankEventAndStatusYPSH() != other.hasCapBankEventAndStatusYPSH()) return false;
    if (hasCapBankEventAndStatusYPSH()) {
      if (!getCapBankEventAndStatusYPSH()
          .equals(other.getCapBankEventAndStatusYPSH())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasStatusValue()) {
      hash = (37 * hash) + STATUSVALUE_FIELD_NUMBER;
      hash = (53 * hash) + getStatusValue().hashCode();
    }
    if (hasCapBankEventAndStatusYPSH()) {
      hash = (37 * hash) + CAPBANKEVENTANDSTATUSYPSH_FIELD_NUMBER;
      hash = (53 * hash) + getCapBankEventAndStatusYPSH().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.capbankmodule.CapBankStatus parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankStatus parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.capbankmodule.CapBankStatus parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.capbankmodule.CapBankStatus parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.capbankmodule.CapBankStatus prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Cap bank status
   * </pre>
   *
   * Protobuf type {@code capbankmodule.CapBankStatus}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:capbankmodule.CapBankStatus)
      openfmb.capbankmodule.CapBankStatusOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankStatus_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankStatus_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.capbankmodule.CapBankStatus.class, openfmb.capbankmodule.CapBankStatus.Builder.class);
    }

    // Construct using openfmb.capbankmodule.CapBankStatus.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      statusValue_ = null;
      if (statusValueBuilder_ != null) {
        statusValueBuilder_.dispose();
        statusValueBuilder_ = null;
      }
      capBankEventAndStatusYPSH_ = null;
      if (capBankEventAndStatusYPSHBuilder_ != null) {
        capBankEventAndStatusYPSHBuilder_.dispose();
        capBankEventAndStatusYPSHBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.capbankmodule.Capbankmodule.internal_static_capbankmodule_CapBankStatus_descriptor;
    }

    @java.lang.Override
    public openfmb.capbankmodule.CapBankStatus getDefaultInstanceForType() {
      return openfmb.capbankmodule.CapBankStatus.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.capbankmodule.CapBankStatus build() {
      openfmb.capbankmodule.CapBankStatus result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.capbankmodule.CapBankStatus buildPartial() {
      openfmb.capbankmodule.CapBankStatus result = new openfmb.capbankmodule.CapBankStatus(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.capbankmodule.CapBankStatus result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.statusValue_ = statusValueBuilder_ == null
            ? statusValue_
            : statusValueBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.capBankEventAndStatusYPSH_ = capBankEventAndStatusYPSHBuilder_ == null
            ? capBankEventAndStatusYPSH_
            : capBankEventAndStatusYPSHBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.capbankmodule.CapBankStatus) {
        return mergeFrom((openfmb.capbankmodule.CapBankStatus)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.capbankmodule.CapBankStatus other) {
      if (other == openfmb.capbankmodule.CapBankStatus.getDefaultInstance()) return this;
      if (other.hasStatusValue()) {
        mergeStatusValue(other.getStatusValue());
      }
      if (other.hasCapBankEventAndStatusYPSH()) {
        mergeCapBankEventAndStatusYPSH(other.getCapBankEventAndStatusYPSH());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getStatusValueFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getCapBankEventAndStatusYPSHFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.StatusValue statusValue_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder> statusValueBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the statusValue field is set.
     */
    public boolean hasStatusValue() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return The statusValue.
     */
    public openfmb.commonmodule.StatusValue getStatusValue() {
      if (statusValueBuilder_ == null) {
        return statusValue_ == null ? openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
      } else {
        return statusValueBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusValue(openfmb.commonmodule.StatusValue value) {
      if (statusValueBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        statusValue_ = value;
      } else {
        statusValueBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setStatusValue(
        openfmb.commonmodule.StatusValue.Builder builderForValue) {
      if (statusValueBuilder_ == null) {
        statusValue_ = builderForValue.build();
      } else {
        statusValueBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeStatusValue(openfmb.commonmodule.StatusValue value) {
      if (statusValueBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          statusValue_ != null &&
          statusValue_ != openfmb.commonmodule.StatusValue.getDefaultInstance()) {
          getStatusValueBuilder().mergeFrom(value);
        } else {
          statusValue_ = value;
        }
      } else {
        statusValueBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearStatusValue() {
      bitField0_ = (bitField0_ & ~0x00000001);
      statusValue_ = null;
      if (statusValueBuilder_ != null) {
        statusValueBuilder_.dispose();
        statusValueBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusValue.Builder getStatusValueBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getStatusValueFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.StatusValueOrBuilder getStatusValueOrBuilder() {
      if (statusValueBuilder_ != null) {
        return statusValueBuilder_.getMessageOrBuilder();
      } else {
        return statusValue_ == null ?
            openfmb.commonmodule.StatusValue.getDefaultInstance() : statusValue_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.StatusValue statusValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder> 
        getStatusValueFieldBuilder() {
      if (statusValueBuilder_ == null) {
        statusValueBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.StatusValue, openfmb.commonmodule.StatusValue.Builder, openfmb.commonmodule.StatusValueOrBuilder>(
                getStatusValue(),
                getParentForChildren(),
                isClean());
        statusValue_ = null;
      }
      return statusValueBuilder_;
    }

    private openfmb.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.capbankmodule.CapBankEventAndStatusYPSH, openfmb.capbankmodule.CapBankEventAndStatusYPSH.Builder, openfmb.capbankmodule.CapBankEventAndStatusYPSHOrBuilder> capBankEventAndStatusYPSHBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     * @return Whether the capBankEventAndStatusYPSH field is set.
     */
    public boolean hasCapBankEventAndStatusYPSH() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     * @return The capBankEventAndStatusYPSH.
     */
    public openfmb.capbankmodule.CapBankEventAndStatusYPSH getCapBankEventAndStatusYPSH() {
      if (capBankEventAndStatusYPSHBuilder_ == null) {
        return capBankEventAndStatusYPSH_ == null ? openfmb.capbankmodule.CapBankEventAndStatusYPSH.getDefaultInstance() : capBankEventAndStatusYPSH_;
      } else {
        return capBankEventAndStatusYPSHBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     */
    public Builder setCapBankEventAndStatusYPSH(openfmb.capbankmodule.CapBankEventAndStatusYPSH value) {
      if (capBankEventAndStatusYPSHBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        capBankEventAndStatusYPSH_ = value;
      } else {
        capBankEventAndStatusYPSHBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     */
    public Builder setCapBankEventAndStatusYPSH(
        openfmb.capbankmodule.CapBankEventAndStatusYPSH.Builder builderForValue) {
      if (capBankEventAndStatusYPSHBuilder_ == null) {
        capBankEventAndStatusYPSH_ = builderForValue.build();
      } else {
        capBankEventAndStatusYPSHBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     */
    public Builder mergeCapBankEventAndStatusYPSH(openfmb.capbankmodule.CapBankEventAndStatusYPSH value) {
      if (capBankEventAndStatusYPSHBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          capBankEventAndStatusYPSH_ != null &&
          capBankEventAndStatusYPSH_ != openfmb.capbankmodule.CapBankEventAndStatusYPSH.getDefaultInstance()) {
          getCapBankEventAndStatusYPSHBuilder().mergeFrom(value);
        } else {
          capBankEventAndStatusYPSH_ = value;
        }
      } else {
        capBankEventAndStatusYPSHBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     */
    public Builder clearCapBankEventAndStatusYPSH() {
      bitField0_ = (bitField0_ & ~0x00000002);
      capBankEventAndStatusYPSH_ = null;
      if (capBankEventAndStatusYPSHBuilder_ != null) {
        capBankEventAndStatusYPSHBuilder_.dispose();
        capBankEventAndStatusYPSHBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     */
    public openfmb.capbankmodule.CapBankEventAndStatusYPSH.Builder getCapBankEventAndStatusYPSHBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getCapBankEventAndStatusYPSHFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     */
    public openfmb.capbankmodule.CapBankEventAndStatusYPSHOrBuilder getCapBankEventAndStatusYPSHOrBuilder() {
      if (capBankEventAndStatusYPSHBuilder_ != null) {
        return capBankEventAndStatusYPSHBuilder_.getMessageOrBuilder();
      } else {
        return capBankEventAndStatusYPSH_ == null ?
            openfmb.capbankmodule.CapBankEventAndStatusYPSH.getDefaultInstance() : capBankEventAndStatusYPSH_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.capbankmodule.CapBankEventAndStatusYPSH capBankEventAndStatusYPSH = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.capbankmodule.CapBankEventAndStatusYPSH, openfmb.capbankmodule.CapBankEventAndStatusYPSH.Builder, openfmb.capbankmodule.CapBankEventAndStatusYPSHOrBuilder> 
        getCapBankEventAndStatusYPSHFieldBuilder() {
      if (capBankEventAndStatusYPSHBuilder_ == null) {
        capBankEventAndStatusYPSHBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.capbankmodule.CapBankEventAndStatusYPSH, openfmb.capbankmodule.CapBankEventAndStatusYPSH.Builder, openfmb.capbankmodule.CapBankEventAndStatusYPSHOrBuilder>(
                getCapBankEventAndStatusYPSH(),
                getParentForChildren(),
                isClean());
        capBankEventAndStatusYPSH_ = null;
      }
      return capBankEventAndStatusYPSHBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:capbankmodule.CapBankStatus)
  }

  // @@protoc_insertion_point(class_scope:capbankmodule.CapBankStatus)
  private static final openfmb.capbankmodule.CapBankStatus DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.capbankmodule.CapBankStatus();
  }

  public static openfmb.capbankmodule.CapBankStatus getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<CapBankStatus>
      PARSER = new com.google.protobuf.AbstractParser<CapBankStatus>() {
    @java.lang.Override
    public CapBankStatus parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<CapBankStatus> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<CapBankStatus> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.capbankmodule.CapBankStatus getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

